#5.0 Article list occasionally shows the image for a previous card
Closed, ResolvedPublic

Description

Steps to reproduce

These steps aren't guaranteed, but here goes:

  1. Enable network link conditioner
  2. Search for something (e.g. Barack Obama)
  3. Quickly scroll down the list

Expected results

Cells besides "Barack Obama" have their own image or a placeholder (currently left empty/black).

Actual results

Barack Obama lead image shows up in another cell

BGerstle-WMF updated the task description. (Show Details)
BGerstle-WMF raised the priority of this task from to Needs Triage.
BGerstle-WMF moved this task to Needs Triage on the Wikipedia-iOS-App-Backlog board.
BGerstle-WMF added a subscriber: BGerstle-WMF.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 22 2015, 5:31 PM

Tested it with slow internet connection - with 5.0.0.435 on iPad mini iOS 8.2 and iPhone 5 iOS 9.02.

The issue - "Article list occasionally shows the image for a previous card" - is not present anymore. However, clicking on an article in Serach list often loads an article without a lead image. Even when the whole article is loaded, the lead image requires additional refreshing of the page.

Re-checked with 5.0.0.465 on iPad mini iOS 8.2 - the issue mentioned in the previous comment is fixed.

Restricted Application added a subscriber: StudiesWorld. · View Herald TranscriptNov 6 2015, 7:41 PM
JMinor closed this task as Resolved.Nov 18 2015, 8:59 PM
JMinor added a project: iOS-app-v5-alpha.